# nRF Connect Power Profiler

Power Profiler app for
[nRF Connect](https://github.com/NordicSemiconductor/pc-nrfconnect-launcher).

## Introduction

_nRF Connect Power Profiler_ is a tool to communicate with the
[Power Profiler Kit II (PPK2)](https://www.nordicsemi.com/Software-and-tools/Development-Tools/Power-Profiler-Kit-2),
an affordable and flexible tool to obtain real-time current measurements of your
designs. It also supports the
[older, first version of the Power Profiler Kit](https://www.nordicsemi.com/Software-and-tools/Development-Tools/Power-Profiler-Kit).
The PPK measures current consumption for a connected Nordic Development Kit or
any external board. It gives a detailed picture of the current profile for the
user application.

All functionality is described in the
[User Guide](https://infocenter.nordicsemi.com/topic/ug_ppk2/UG/ppk/PPK_user_guide_Intro.html)
(If you use the first version of the hardware, there is a different
[User Guide for the PPK 1](https://infocenter.nordicsemi.com/topic/ug_ppk/UG/ppk/PPK_user_guide_Intro.html)).

![screenshot](resources/screenshot.png)

## Installation

See the
[InfoCenter](https://infocenter.nordicsemi.com/index.jsp?topic=%2Fstruct_nrftools%2Fstruct%2Fnrftools_nrfconnect.html)
pages for information on how to install the application.

## Development

See the
[app development](https://nordicsemiconductor.github.io/pc-nrfconnect-docs/)
pages for details on how to develop apps for the nRF Connect for Desktop
framework.

## Feedback

Please report issues on the [DevZone](https://devzone.nordicsemi.com) portal.

## Contributing

See the
[infos on contributing](https://nordicsemiconductor.github.io/pc-nrfconnect-docs/contributing)
for details.

## License

See the [LICENSE](LICENSE) file for details.
